<?php

/**
 * Implementation of hook_views_data()
 */
function taxonomy_vocab_relate_views_data_alter(&$data) {
  $data['term_relation']['table']['group']  = t('Taxonomy');
  
  $data['term_relation']['tvr_relation'] = array(
    'group' => t('Taxonomy'),
    'title' => t('Taxonomy Vocabulary Relate'),
    'help' => t('The relation term of the term. This can produce duplicate entries if you are using a vocabulary that allows multiple parents.'),
    'real field' => 'name',
    'relationship' => array(
      'handler' => 'taxonomy_vocab_relate_handler_relationship',
      'label' => t('TVR'),
    ),
    'argument' => array(
      'handler' => 'taxonomy_vocab_relate_handler_argument_string',
      'table_alias' => 'term_data_term_data2'
    ),
  );
  return $data;
}

/**
 * Define the views handlers
 */
function taxonomy_vocab_relate_views_handlers() {
  return array(
    'handlers' => array(
      'taxonomy_vocab_relate_handler_relationship' => array(
        'parent' => 'views_handler_relationship',
      ),
      'taxonomy_vocab_relate_handler_argument_string' => array(
        'parent' => 'views_handler_argument_string',
      ),
    ),
  );
}